Deregister phone for an app

This API endpoint lets partners deregister their Phone Number (PN) from WhatsApp Business. It removes the phone number registration from WhatsApp services, disabling WhatsApp Business messaging for that number in the partner application.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationPartner app access token issued post partner login{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner app access token belonging to the passed app ID.
appIdApp ID to fetch the access token{{APP_ID}}StringRequiredValid app ID

Sample Request

curl --location 'https://partner.gupshup.io/partner/app/:appId/onboarding/deregister' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/x-www-form-urlencoded'

Sample Response

{
	"status": "success",
	"success": true
}

Status Codes

Status CodeResponseComments
Success
200{
"status": "success",
"success": true
}
Error
400{
"status":"error",
"message/data":"<Specific to API>"
}
Error with respect to API
401{
"status":"error",
"message":"Unauthorized Access"
}
When authentication fails
429Too Many RequestsWhen rate limit is hit
500{
"status": "error",
"message": "Internal Server Error"
}
For any Internal Error
Path Params
string
required
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json